package com.aiosman.riderpro

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.filled.AccountCircle
import androidx.compose.material.icons.filled.Email
import androidx.compose.material.icons.filled.Home
import androidx.compose.material.icons.filled.Place
import androidx.compose.runtime.Composable
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.res.vectorResource

sealed class NavigationItem(
    val route: String,
    val icon: @Composable () -> ImageVector,
    val selectedIcon: @Composable () -> ImageVector = icon
) {
    data object Home : NavigationItem("Home",
        icon = { ImageVector.vectorResource(R.drawable.rider_pro_home) },
        selectedIcon = { ImageVector.vectorResource(R.drawable.rider_pro_home_filed) }
    )

    data object Street : NavigationItem("Street",
        icon = { ImageVector.vectorResource(R.drawable.rider_pro_location) },
        selectedIcon = { ImageVector.vectorResource(R.drawable.rider_pro_location_filed) }
    )

    data object Add : NavigationItem("Add",
        icon = { ImageVector.vectorResource(R.drawable.rider_pro_moment_add) },
        selectedIcon = { ImageVector.vectorResource(R.drawable.rider_pro_moment_add) }
    )

    data object Message : NavigationItem("Message",
        icon = { ImageVector.vectorResource(R.drawable.rider_pro_video_outline) },
        selectedIcon = { ImageVector.vectorResource(R.drawable.rider_pro_video) }
    )

    data object Profile : NavigationItem("Profile",
        icon = { ImageVector.vectorResource(R.drawable.rider_pro_profile) },
        selectedIcon = { ImageVector.vectorResource(R.drawable.rider_pro_profile_filed) }
    )
}